<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="sr-RS">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<?php

/*
 * Demo: demo_zadgetdata.php
 * 
 * Primer poziva API funkcije ZADGETDATA
 *  
 */
 

include_once 'infoapi/infoapi.php';

// korisnicko ime
$m_username = "info";

// lozinka
$m_password = "demo";

// adresa Info API servera
$m_server_url = 'http://localhost:31000/InfoAPI.aspx';


$miapiHandler = new iapiHandler;
$miapiHandler->APIServerURL = $m_server_url;

$miapiHandler->DebugLevel = DEBUG_LEVEL;
$miapiHandler->DebugSections = DEBUG_SECTIONS;


// naziv API funkcije koja se poziva
$mAPIFunctionName = 'ZADGETDATA';

$mQueryEnvelope = new iapiQueryEnvelope ($mAPIFunctionName);
$mQueryEnvelope->username = $m_username;
$mQueryEnvelope->password = $m_password;

$mQuery = $mQueryEnvelope;
$mQuery->data->result_database_format = 'SQLITE';


$mResponse  = $miapiHandler->Execute($mQuery);

$m_error = false;

if ($mResponse->error_state !='ok') {
  $m_error = true;
?>
Greska: <?php echo $mResponse->error_state; ?> - <?php echo $mResponse->error_message; ?>
<?php
} else {

  if ($mResponse->data->error_state !='ok') {
    $m_error = true;
?>
Greska: <?php echo $mResponse->data->error_state; ?> - <?php echo $mResponse->data->error_message; ?>
<?php
  }

}

if (!$m_error) {
   
    $mdatabasedata = base64_decode ($mResponse->data->databaseattachment);

    $m_output_file = fopen('zadgetdata.db', 'w');
    fwrite($m_output_file, $mdatabasedata);
    fclose($m_output_file);

    echo 'data stored to zadgetdata.db';
    
}
?>
<hr />

<?php include_once 'inc_sysinfo.php'; ?>

</body>
</html>