<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="sr-RS">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<?php

/*
 * Demo: demo_sendtable.php
 * 
 * Primer poziva API funkcije 'sendtable' kojoj se salje tabela a ona vraca broj slogova u tabeli. 
 *  
 */
 
include_once 'infoapi/infoapi.php';

$miapiHandler = new iapiHandler;
$miapiHandler->APIServerURL = SERVER_URL;

// naziv API funkcije koja se poziva
$mAPIFunctionName = 'SENDTABLE';

$mQueryEnvelope = new iapiQueryEnvelope ($mAPIFunctionName);
$mQueryEnvelope->username = USERNAME;
$mQueryEnvelope->password = PASSWORD;

$miapiHandler->DebugLevel = DEBUG_LEVEL;
$miapiHandler->DebugSections = DEBUG_SECTIONS;


$mQuery = $mQueryEnvelope;

$mDb= new PDO('sqlite:primer.db3');
$mDb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
$mData = $mDb->query('SELECT * FROM primer');

$mQuery->data->AddTableReference ('primer', $mData);

$mResponse = $miapiHandler->Execute($mQuery);

?>

Broj slogova u poslatoj tabeli: <?php echo $mResponse->data->rec_count; ?>

<?php

if ($mResponse->error_state !='ok') {
?>
Greska: <?php echo $mResponse->error_state; ?> - <?php echo $mResponse->error_message; ?>
<?php
}
?>

<?php
if ($mResponse->data->error_state != 'ok') {
?>
Greska: <?php echo $mResponse->data->error_state; ?> - <?php echo $mResponse->data->error_message; ?>
<?php
}
?>

<hr />

<?php include_once 'inc_sysinfo.php'; ?>

</body>
</html>